summaryrefslogtreecommitdiffstats
path: root/network/dianara
diff options
context:
space:
mode:
author Icaro Perseo <icaroperseo@riseup.net>2016-08-25 11:20:26 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-28 00:22:59 +0100
commit54e884c1080843209f9ae6297746bc3c3887a319 (patch)
tree7caf2a08da90fb59c3b3d412ccef3d0a3b14a608 /network/dianara
parentfffc1969a89aee4f7ff227794c20b070383250e6 (diff)
downloadslackbuilds-54e884c1080843209f9ae6297746bc3c3887a319.tar.gz
slackbuilds-54e884c1080843209f9ae6297746bc3c3887a319.tar.xz
network/dianara: Added (Pump.io client written using Qt4).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/dianara')
-rw-r--r--network/dianara/README6
-rw-r--r--network/dianara/dianara.SlackBuild122
-rw-r--r--network/dianara/dianara.info10
-rw-r--r--network/dianara/doinst.sh9
-rw-r--r--network/dianara/slack-desc19
5 files changed, 166 insertions, 0 deletions
diff --git a/network/dianara/README b/network/dianara/README
new file mode 100644
index 0000000000..47f9d3e98e
--- /dev/null
+++ b/network/dianara/README
@@ -0,0 +1,6 @@
+Dianara is a Pump.io client written using Qt4.
+
+A desktop application to manage a user's account on the Pump.io
+distributed social network.
+
+This software is licensed under the GNU GPL version 2 license.
diff --git a/network/dianara/dianara.SlackBuild b/network/dianara/dianara.SlackBuild
new file mode 100644
index 0000000000..a66e74229e
--- /dev/null
+++ b/network/dianara/dianara.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/sh
+
+# Slackware build script for dianara
+
+# Copyright 2015-2016 Icaro Perseo <icaroperseo@riseup.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dianara
+VERSION=${VERSION:-1.3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-v$VERSION
+tar xvf $CWD/$PRGNAM-v$VERSION.tar.gz
+cd $PRGNAM-v$VERSION
+
+chown -R root:root .
+
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake Dianara.pro \
+ QMAKE_CXXFLAGS="$SLKCFLAGS"
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || \
+ true
+
+mkdir -p $PKG/usr/share/$PRGNAM/translations
+install -p -D -m 0644 translations/*.qm $PKG/usr/share/$PRGNAM/translations/
+
+mkdir -p $PKG/usr/share/applications
+install -p -D -m 0644 dianara.desktop $PKG/usr/share/applications/
+
+mkdir -p $PKG/usr/share/icons/hicolor/32x32/apps
+install -p -D -m 0644 icon/32x32/dianara.png \
+ $PKG/usr/share/icons/hicolor/32x32/apps/
+
+mkdir -p $PKG/usr/share/icons/hicolor/64x64/apps
+install -p -D -m 0644 icon/64x64/dianara.png \
+ $PKG/usr/share/icons/hicolor/64x64/apps/
+
+mkdir -p $PKG/usr/man/man1
+install -p -D -m 0644 manual/dianara.1 $PKG/usr/man/man1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz \;
+ rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ BUGS \
+ CHANGELOG \
+ INSTALL \
+ LICENSE \
+ README \
+ TODO \
+ TRANSLATING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n \
+ $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/dianara/dianara.info b/network/dianara/dianara.info
new file mode 100644
index 0000000000..f96681c250
--- /dev/null
+++ b/network/dianara/dianara.info
@@ -0,0 +1,10 @@
+PRGNAM="dianara"
+VERSION="1.3.4"
+HOMEPAGE="http://dianara.nongnu.org"
+DOWNLOAD="http://download.savannah.gnu.org/releases/dianara/dianara-v1.3.4.tar.gz"
+MD5SUM="7a1991d8e7af6ca71427f20d46e822a3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qoauth"
+MAINTAINER="Icaro Perseo"
+EMAIL="icaroperseo@riseup.net"
diff --git a/network/dianara/doinst.sh b/network/dianara/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/network/dianara/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/dianara/slack-desc b/network/dianara/slack-desc
new file mode 100644
index 0000000000..4593536b9a
--- /dev/null
+++ b/network/dianara/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dianara: dianara (Pump.io client written using Qt4)
+dianara:
+dianara: A desktop application to manage a user's account on the Pump.io
+dianara: distributed social network.
+dianara:
+dianara: This software is licensed under the GNU GPL version 2 license.
+dianara:
+dianara:
+dianara:
+dianara:
+dianara: